Last Comment Bug 888806 - Bugzilla login field should use "placeholder" HTML5 attribute instead of JavaScript
: Bugzilla login field should use "placeholder" HTML5 attribute instead of Java...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: User Interface (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2017-01-09]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-30 21:16 PDT by Byron Jones ‹:glob› [PTO until 2017-01-09]
Modified: 2013-08-23 19:45 PDT (History)
6 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (7.79 KB, patch)
2013-06-30 21:42 PDT, Byron Jones ‹:glob› [PTO until 2017-01-09]
dkl: review+
Details | Diff | Splinter Review

Description Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-06-30 21:16:44 PDT
+++ This bug was initially created as a clone of Bug #888731 +++

The Bugzilla login form at the bottom of the main bugzilla page seems to use the init_mini_login_form script to pre-file the input form to display "login" (on bugzilla trunk) as gray text in the background. This is bad as this breaks Firefox autocomplete of saved passwords, at least in recent nightly builds (see Bug 886720 Comment 16). Firefox devs are not sure why this worked fine so far. Bugzilla could use the "placeholder" HTML5 attribute there to display the gray text as placeholder in the text field. Then FF autocomplete should work fine.


in the upstream bug lpsolit stated this isn't desirable as bugzilla uses html 4.01 not html 5. however for bmo i think it's appropriate to fix the problem by using the placeholder attribute.
Comment 1 David Lawrence [:dkl] 2013-06-30 21:19:57 PDT
+1
Comment 2 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-06-30 21:42:36 PDT
Created attachment 769578 [details] [diff] [review]
patch v1

i also fixed the quicksearch placeholder mechanism (which, oddly enough, doesn't use the same timing-sensitive timeouts as the login form does).

this also (accidentally!) fixes bug 790644.
Comment 3 David Lawrence [:dkl] 2013-07-01 13:51:01 PDT
Comment on attachment 769578 [details] [diff] [review]
patch v1

Review of attachment 769578 [details] [diff] [review]:
-----------------------------------------------------------------

Spot on as usual. Look good and works as expected. r=dkl
Comment 4 Byron Jones ‹:glob› [PTO until 2017-01-09] 2013-07-01 20:48:43 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified js/global.js
modified template/en/default/index.html.tmpl
modified template/en/default/account/auth/login-small.html.tmpl
Committed revision 8865.

Note You need to log in before you can comment on or make changes to this bug.